#ifndef ENROUTEWAYPOINT_H_
#define ENROUTEWAYPOINT_H_

#include "Waypoint.h"

class EnrouteWaypoint : public Waypoint
{
public:
	EnrouteWaypoint();

	bool ParseNFD(std::string Line);
	bool MakeBinary(struct EnrouteWaypoint_Binary_struct *BinaryData);
	void SetFromBinary(struct EnrouteWaypoint_Binary_struct *BinaryData);
};

/* Increment the version when the structure changes */
#define ENROUTEWAYPOINT_BINARY_STRUCT_VER 1
struct EnrouteWaypoint_Binary_struct {
	char ID[16];
	char Name[50];
	int32_t Lonx1000000,Latx1000000;
} __attribute__ ((packed));

#endif /*ENROUTEWAYPOINT_H_*/
