#ifndef ROUTEPOINT_H_
#define ROUTEPOINT_H_

#include "Waypoint.h"

class RoutePoint: public Waypoint
{
public:
	RoutePoint();
	RoutePoint(Waypoint *WP);
	void SetLonLatAlt(double Lon, double Lat,unsigned int Alt);
	void SetAltitude(unsigned int Altitude);
	unsigned int GetAltitude();
	bool MakeBinary(struct RoutePoint_Binary_struct *BinaryData);
	void SetFromBinary(struct RoutePoint_Binary_struct *BinaryData);

private:
	int Altitude;
};

/* Increment the version when the structure changes */
#define ROUTEPOINT_BINARY_STRUCT_VER 1
struct RoutePoint_Binary_struct {
	int32_t Altitude;
	struct Waypoint_Binary_struct Waypoint;
} __attribute__ ((packed));


#endif /*ROUTEPOINT_H_*/
