#ifndef WELCOMEDIALOG_H_
#define WELCOMEDIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/checkbutton.h>
#include <gtkmm/image.h>
#include <libglademm.h>
#include "Config.h"

class WelcomeDialog
{
public:
	WelcomeDialog(std::string *GladeFilename, Config *Cfg);
	~WelcomeDialog();
	int Run();

private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::CheckButton *ShowButton;
	Gtk::Image *LogoImage;

	Config *Cfg;
};

#endif /*WELCOMEDIALOG_H_*/
