/*
 * OnScreenKeypad.h
 *
 *  Created on: Jan 4, 2009
 *      Author: davel
 */

#ifndef ONSCREENKEYPAD_H_
#define ONSCREENKEYPAD_H_

#include <libglademm.h>
#include <gtkmm/container.h>
#include <gtkmm/button.h>
#include <gtkmm/entry.h>
#include <vector>

class OnScreenKeypad : public Gtk::Container {
public:
	OnScreenKeypad();
	virtual ~OnScreenKeypad();

	virtual void on_size_request(Gtk::Requisition* requisition);
	virtual void on_size_allocate(Gtk::Allocation& allocation);
	virtual void forall_vfunc(gboolean include_internals, GtkCallback callback, gpointer callback_data);
	virtual void on_add(Gtk::Button* child);
	virtual void on_remove(Gtk::Button* child);
	virtual GtkType child_type_vfunc() const;
	void set_target(Gtk::Entry *target);

private:
	std::vector<Gtk::Button*> KeyButtons;
	void on_Key_clicked(Glib::ustring Text);

	Gtk::Entry *Target;
};

#endif /* ONSCREENKEYPAD_H_ */
