#ifndef WBENVELOPE_H_
#define WBENVELOPE_H_

#include <list>

class WBEnvelope
{
public:
	enum Category_enum {
		CATEGORY_NORMAL,CATEGORY_UTILITY,CATEGORY_ACROBATIC,CATEGORY_COMMUTER,CATEGORY_INVALID
	};

	struct WBEnvelopeStation_struct {
		double Mass;	/* kg */
		double Arm;		/* m */
	};

	WBEnvelope();

private:
	std::list<WBEnvelopeStation_struct> Stations;
};

#endif /*WBENVELOPE_H_*/
